<?php

namespace Goal\Goal\Repositories\Eloquent;

use Goal\Goal\Interfaces\GoalRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class GoalRepository extends BaseRepository implements GoalRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('goal.goal.goal.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('goal.goal.goal.model');
    }
}
