This is a Laravel 5 package that provides goal management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `goal/goal`.

    "goal/goal": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Goal\Goal\Providers\GoalServiceProvider::class,

```

And also add it to alias

```php
'Goal'  => Goal\Goal\Facades\Goal::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Goal\Goal\Providers\GoalServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Goal\Goal\Providers\GoalServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Goal\Goal\Providers\GoalServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Goal\Goal\Providers\GoalServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Goal\Goal\Providers\GoalServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Goal\Goal\Providers\GoalServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


