<?php

// Admin  routes  for goal
Route::group(['prefix' => '/admin/goal'], function () {
    Route::put('news/workflow/{goal}/{step}', 'GoalAdminController@putWorkflow');
    Route::resource('goal', 'GoalAdminController');
});


// User  routes for goal
Route::group(['prefix' => '/user/goal'], function () {
    Route::resource('goal', 'GoalUserController');
});

// Public  routes for goal
Route::group(['prefix' => '/goals'], function () {
    Route::get('news/workflow/{goal}/{step}/{user}', 'GoalController@getWorkflow');
    Route::get('/', 'GoalPublicController@index');
    Route::get('/{slug?}', 'GoalPublicController@show');
});


