<?php

namespace Goal\Goal\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class GoalListTransformer extends TransformerAbstract
{
    public function transform(\Goal\Goal\Models\Goal $goal)
    {
        return [
            'id'                => $goal->getRouteKey(),
            'name'              => $goal->name,
            'status'            => trans('app.'.$goal->status),
            'created_at'        => format_date($goal->created_at),
            'updated_at'        => format_date($goal->updated_at),
        ];
    }
}